package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFActor;
import com.sa.ibiz.demo.demo.service.dto.WFActorSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFActor] 服务对象接口
 */
public interface WFActorService extends IService<WFActor>{

	boolean create(WFActor et);
	boolean remove(WFActor et);
		WFActor get(WFActor et);
	boolean checkKey(WFActor et);
	boolean getDraft(WFActor et);
	boolean update(WFActor et);
    List<WFActor> listDefault(WFActorSearchFilter filter) ;
	Page<WFActor> searchDefault(WFActorSearchFilter filter);
    List<WFActor> listIndexDER(WFActorSearchFilter filter) ;
	Page<WFActor> searchIndexDER(WFActorSearchFilter filter);
	/**	 实体[WFActor] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }